Bug 1288723 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): krunner killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): krunner killed by SIG...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d90a3f19173fe737bb368333b42...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 10:59 EST by Fabio Santana
Modified: 2016-12-20 11:38 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.98 KB, text/plain)
2015-12-05 10:59 EST, Fabio Santana
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-05 10:59 EST, Fabio Santana
no flags Details
File: core_backtrace (1.06 KB, text/plain)
2015-12-05 10:59 EST, Fabio Santana
no flags Details
File: dso_list (17.97 KB, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: environ (1.65 KB, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: maps (83.39 KB, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: mountinfo (3.06 KB, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: open_fds (185 bytes, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-12-05 11:00 EST, Fabio Santana
no flags Details
File: backtrace (86.70 KB, text/plain)
2016-05-19 09:48 EDT, Bruno Rocha
no flags Details

  None (edit)
Description Fabio Santana 2015-12-05 10:59:49 EST
Version-Release number of selected component:
plasma-workspace-5.4.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /bin/krunner
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/krunner
global_pid:     2648
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:409
 #3 ??
 #4 QObject::disconnect at kernel/qobject.cpp:2937
 #6 QQuickScreenAttached::screenChanged at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/items/qquickscreen.cpp:342
 #7 QQuickScreenAttached::windowChanged at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/items/qquickscreen.cpp:329
 #8 QQuickItemPrivate::refWindow at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/items/qquickitem.cpp:2792
 #10 QQuickItem::setParentItem at /usr/src/debug/qtdeclarative-opensource-src-5.5.0/src/quick/items/qquickitem.cpp:2530
 #11 PlasmaQuick::Dialog::setMainItem at ../../../src/plasmaquick/dialog.cpp:715
 #12 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:124
 #13 QMetaObject::activate at kernel/qobject.cpp:3703
Comment 1 Fabio Santana 2015-12-05 10:59:55 EST
Created attachment 1102565 [details]
File: backtrace
Comment 2 Fabio Santana 2015-12-05 10:59:57 EST
Created attachment 1102566 [details]
File: cgroup
Comment 3 Fabio Santana 2015-12-05 10:59:58 EST
Created attachment 1102567 [details]
File: core_backtrace
Comment 4 Fabio Santana 2015-12-05 11:00:00 EST
Created attachment 1102568 [details]
File: dso_list
Comment 5 Fabio Santana 2015-12-05 11:00:01 EST
Created attachment 1102569 [details]
File: environ
Comment 6 Fabio Santana 2015-12-05 11:00:03 EST
Created attachment 1102570 [details]
File: limits
Comment 7 Fabio Santana 2015-12-05 11:00:05 EST
Created attachment 1102571 [details]
File: maps
Comment 8 Fabio Santana 2015-12-05 11:00:06 EST
Created attachment 1102572 [details]
File: mountinfo
Comment 9 Fabio Santana 2015-12-05 11:00:08 EST
Created attachment 1102573 [details]
File: open_fds
Comment 10 Fabio Santana 2015-12-05 11:00:09 EST
Created attachment 1102574 [details]
File: proc_pid_status
Comment 11 Fabio Santana 2015-12-05 11:00:10 EST
Created attachment 1102575 [details]
File: var_log_messages
Comment 12 Bruno Rocha 2016-05-19 09:48:45 EDT
Similar problem has been detected:

Same crash when opening an OpenVPN connection, even after the last KDE updates.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1516
kernel:         4.4.9-300.fc23.x86_64
package:        plasma-workspace-5.6.3-2.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            2003
Comment 13 Bruno Rocha 2016-05-19 09:48:51 EDT
Created attachment 1159485 [details]
File: backtrace
Comment 14 Fedora End Of Life 2016-11-24 08:59:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:38:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.